textures/q3dmp9/swirl_b1
{
        deformVertexes wave 100 sin 1 2 .1 1
        q3map_surfacelight	300

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
        surfaceparm nonsolid
	cull none
	
	{
		clampmap textures/q3dmp9/swirl_b1.tga
		blendFunc GL_ONE GL_ONE
                tcMod rotate -188
	}	
        {
		clampmap textures/q3dmp9/swirl_b2.tga
		blendFunc GL_ONE GL_ONE
                tcMod rotate 333
	}
        //{
	//	clampmap textures/q3dmp9/swirl_b2.tga
	//	blendFunc GL_ONE GL_ONE
        //        tcMod rotate 20
	//}
	
}
textures/q3dmp9/potrero_sunset
{
	qer_editorimage textures/q3dmp9/potrero_sunset_1.tga
	
	q3map_sunExt 255 250 220 160 199 12 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 64 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/q3dmp9/black 576 -
	
	{
		map textures/q3dmp9/clouds_2.tga
		tcMod scale 2.75 1.75
		tcMod scroll 0.01 -0.00375
		rgbGen identityLighting
	}
	{
		clampMap textures/q3dmp9/potrero_sunset_1.tga
		blendFunc GL_SRC_ALPHA GL_SRC_COLOR
		tcMod transform 0.75 0 0 0.75 -0.678 -0.678
		rgbGen identityLighting
	}
}


textures/q3dmp9/dsiglass
{
	qer_editorimage textures/dsi_textures/dsiglass.tga
	surfaceparm trans
	surfaceparm solid
        cull disable
	qer_trans 0.5
	{
		map textures/dsi_textures/dsitinfx.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/q3dmp9/e6launchlfloor_s
{
	qer_editorimage textures/evil6_floors/e6launchlfloor.tga
	q3map_lightimage textures/evil6_floors/e6launchlfloor_glow.tga
	q3map_surfacelight 400
        surfaceparm nodamage

	{
		map textures/evil6_floors/e6launchlfloor.tga
                rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
                blendfunc gl_dst_color gl_zero
	}
	{
		map textures/evil6_floors/e6launchlfloor_glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .8 0 1.5
	}
	{
		clampmap textures/evil6_floors/e6launchlfloor_fx.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/q3dmp9/e8tinylight
{
	qer_editorimage textures/evil8_lights/e8tinylight.tga
	q3map_lightimage textures/evil8_lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1400
	{
		map textures/evil8_lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/evil8_lights/e8tinylight.blend.tga
		blendfunc add
	}
}


textures/evil8_grate/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/evil8_grate/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/q3dmp9/e8circle_red_fade
{
	qer_editorimage textures/q3dmp9/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
        cull disable
	{
		map textures/evil8_fx/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}


textures/q3dmp9/e8circle_blue_fade
{
	qer_editorimage textures/q3dmp9/e8circle_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
        cull disable
	{
		map textures/q3dmp9/e8circle_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
	}
}

textures/q3dmp9/e8jumpspawn02b
{
	q3map_lightimage textures/q3dmp9/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	surfaceparm nonsolid
        q3map_surfacelight 150
	{
		map textures/q3dmp9/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/q3dmp9/e8jumpspawn02b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/q3dmp9/eq2_banner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 2 0 .2
     deformVertexes wave 100 sin 0 2 0 .7

     {
        map textures/q3dmp9/eq2_banner.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}